<?php
/**
 * sgds enqueue scripts
 *
 * @package understrap
 */
// Exit if accessed directly.

if ( ! function_exists( 'sgds_scripts' ) ) {
	/**
	 * Load theme's JavaScript and CSS sources.
	 */
	function sgds_scripts() {
		// Get the theme data.
		$the_theme     = wp_get_theme();
		$theme_version = $the_theme->get( 'Version' );
		$css_version = $theme_version . '.' . filemtime( get_template_directory() . '/css/sgds.css' );
		wp_enqueue_style( 'sgds-styles', get_template_directory_uri() . '/css/sgds.css', array(), $css_version );
		wp_enqueue_script( 'jquery' );
		$js_version = $theme_version . '.' . filemtime( get_template_directory() . '/js/sgds.js' );
		wp_enqueue_script( 'sgds-scripts', get_template_directory_uri() . '/js/theme.min.js', array(), $js_version, true );
		$js_sidenav_version = $theme_version . '.' . filemtime( get_template_directory() . '/js/sgds-sidenav.js' );
		wp_enqueue_script( 'sgds-scripts', get_template_directory_uri() . '/js/sgds-sidenav.js', array(), $js_sidenav_version, true );
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
	}
} // endif function_exists( 'sgds_scripts' ).
add_action( 'wp_enqueue_scripts', 'sgds_scripts' );