<?php
/**
 * Check and setup theme's default settings
 *
 * @package sgds
 */
// Exit if accessed directly.

if ( ! function_exists( 'sgds_setup_theme_default_settings' ) ) {
	function sgds_setup_theme_default_settings() {
		// check if settings are set, if not set defaults.
		// Caution: DO NOT check existence using === always check with == .
		// Latest blog posts style.
		$sgds_posts_index_style = get_theme_mod( 'sgds_posts_index_style' );
		if ( '' == $sgds_posts_index_style ) {
			set_theme_mod( 'sgds_posts_index_style', 'default' );
		}
		// Sidebar position.
		$sgds_sidebar_position = get_theme_mod( 'sgds_sidebar_position' );
		if ( '' == $sgds_sidebar_position ) {
			set_theme_mod( 'sgds_sidebar_position', 'right' );
		}
		// Container width.
		$sgds_container_type = get_theme_mod( 'sgds_container_type' );
		if ( '' == $sgds_container_type ) {
			set_theme_mod( 'sgds_container_type', '' );
		}
	}
}