<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package sgds
 */
$container = get_theme_mod( 'sgds_container_type' );
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>



<div class="sgds-masthead">
    <div class="sgds-container <?php echo esc_attr( $container ); ?>">
        <div class="row">
            <div class="col has-text-centered-touch">
                <a href="https://www.gov.sg" target="_blank">
                    <span class="sgds-icon sgds-icon-sg-crest"></span>
                    <span class="is-text">A Singapore Government Agency Website</span>
                </a>
            </div>
        </div>
    </div>
</div>
<div id="page" class="site">
    <nav class="navbar">
        <div class="sgds-container <?php echo esc_attr( $container ); ?>">
            <div class="navbar-brand">
                <?php
                    if (has_custom_logo()) {
                        the_custom_logo();
                    } else {?>
                    <a class="navbar-item" href="<?php echo esc_url_raw(home_url()); ?>">
                        <h1><?php bloginfo('name');?></h1>
                    </a>
                <?php }?>
                <div class="navbar-burger burger" data-target="mainnav-1">
                    <span></span>
                    <span></span>
                    <span></span>
                </div>
            </div>
            <?php
                wp_nav_menu(
                    array(
                        'theme_location'  => 'primary',
                        'menu'            => 'Menu 1',
                        'walker'          => new Navwalker(),
                        'container' => false,
                        'items_wrap'      => '<div class="navbar-start">%3$s</div>',
                    )
                );
            ?>
        </div>
    </nav>
	<div id="content" class="site-content">
